Generate and run an Elasticsearch query that uses the specified query parameteter and the search template associated with the search application or default template. Unspecified template parameters are assigned their default values if applicable.
Query parameters
-
Determines whether aggregation names are prefixed by their respective types in the response.
GET
/_application/search_application/{name}/_search
curl \
--request GET 'http://api.example.com/_application/search_application/{name}/_search' \
--header "Content-Type: application/json" \
--data '"{\n \"params\": {\n \"query_string\": \"my first query\",\n \"text_fields\": [\n {\"name\": \"title\", \"boost\": 5},\n {\"name\": \"description\", \"boost\": 1}\n ]\n }\n}"'
Request example
Use `POST _application/search_application/my-app/_search` to run a search against a search application called `my-app` that uses a search template.
{
"params": {
"query_string": "my first query",
"text_fields": [
{"name": "title", "boost": 5},
{"name": "description", "boost": 1}
]
}
}